petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFSetUp

set up communication structures

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetUp(PetscSF sf)

Collective

### Input Arguments

sf -star forest communication object

### See Also

PetscSFSetFromOptions(), PetscSFSetType()

Level:beginner
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex2.c.html